@media (prefers-reduced-motion: no-preference) {
  * {
    scroll-behavior: smooth;
  }
}
@media (prefers-reduced-motion: reduce) {
  * {
    animation: none !important;
    transition: none !important;
  }
}
:root {
  --font-primary: "Inter", sans-serif;
  --font-secondary: "Merriweather", serif;
  --black: oklch(0.24 0.0064 0.59);
  --white: oklch(1 0.0067 97.35);
  --blue: oklch(0.73 0.0993 234.53);
  --pink: oklch(0.64 0.2102 13.61);
  --yellow: oklch(0.89 0.1558 91.49);
  --green: oklch(0.72 0.12 168.22);
}
*,
*::before,
*::after {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
  transition: 200ms ease-out;
}
html {
  box-sizing: border-box;
  font-family: var(--font-primary);
  color: var(--white);
  background: var(--black);
}
::selection {
  color: var(--white);
  background: var(--blue);
}
section {
  position: relative;
  padding: 6rem 0;
  margin: 0 auto;
  width: min(70rem, 90vw);

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2rem;

  text-align: center;
  height: 100vh;
  min-height: 30rem;
}

h1 {
  font-size: 3rem;
  font-weight: bold;
  margin-top: 2rem;
}
p {
  font-size: 1rem;
}

a {
  color: var(--blue);
  text-decoration: underline;
}
a:hover {
  color: var(--pink);
}
a:hover::selection {
  color: var(--white);
  background: var(--pink);
}
img {
  max-width: 100%;
  height: auto;
  object-fit: cover;
}

svg {
  width: 5rem;
  height: auto;
  color: var(--blue);

  animation-name: spin;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
  transform-origin: 54.5% 55%;
}
@keyframes spin {
  from {
    rotate: 0deg;
  }
  to {
    rotate: 360deg;
  }
}
